Add the ability to expire passwords after a configurable number of days
Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Accounts / authentication Estimated time: 0.00 hour
Target version: 3.1.0

Resolution: Fixed

Description

This patch adds the ability to configure a number of days after which user's passwords should expire. It uses the recently introduced
User#passwd_changed_on field. The user-visible end result is the same as if an administrator had manually marked a user with
must_changed_passwd.

This patch is against current trunk (r14155) including tests. It was extracted from Planio where we developed this patch for a
customer.

This patch might be related to #3155, although this is not directly mentioned there.

Related issues:
Related to Redmine - Feature #3155: Password policy and secure logon procedure New 2009-04-10

Associated revisions

Revision 14264 - 2015-05-10 12:26 - Jean-Philippe Lang
Add the ability to expire passwords after a configurable number of days (#19458).

Patch by Holger Just and Go MAEDA.

Revision 14265 - 2015-05-10 12:30 - Jean-Philippe Lang
Code cleanup (#19458).

Revision 14266 - 2015-05-10 14:57 - Jean-Philippe Lang
Test broken by r14265 (#19458).

History

#1 - 2015-03-23 19:05 - Holger Just

- File 0001-Allow-to-specify-maximum-password-age.patch added

#2 - 2015-03-24 01:00 - Go MAEDA

- Related to Feature #3155: Password policy and secure logon procedure added

#3 - 2015-03-24 10:01 - Go MAEDA

- File expiration_message_example.png added

The feature sounds good. | have applied the patch and works fine.

It would be great if there is password expiration message like the following example. | am worried that some users will get confused without a
message like this.
https://www.redmine.org/projects/redmine/repository/svn/revisions/14155
https://plan.io/redmine-hosting
https://www.redmine.org/issues/3155

expiration_message_example.png

#4 - 2015-04-02 09:13 - Go MAEDA

- File 0002-Allow-to-specify-maximum-password-age.patch added

Updated the patch.
Added a error message: "Your password has expired or the administrator requires you to change it."
#5 - 2015-04-06 07:38 - Go MAEDA

- Target version set to Candidate for next major release

#6 - 2015-04-27 07:52 - Go MAEDA

- Target version changed from Candidate for next major release to 3.1.0

Could it be included in next version?

#7 - 2015-05-10 12:30 - Jean-Philippe Lang
- Tracker changed from Patch to Feature

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Patch committed in r14264, thanks!

#8 - 2015-05-11 06:57 - Go MAEDA

- Status changed from Closed to Reopened

Thanks for merging the patch!
Please add strings to locales.

#9 - 2015-05-30 10:30 - Jean-Philippe Lang

- Status changed from Reopened to Closed

Strings added.

Files

0001-Allow-to-specify-maximum-password-age.patch 5.57 KB 2015-03-23 Holger Just

expiration_message_example.png 26.1 KB 2015-03-24 Go MAEDA

0002-Allow-to-specify-maximum-password-age.patch 6.03 KB 2015-04-02 Go MAEDA
